YouTube · 搜索

频道内搜索

传入频道链接或 handle 和一个关键词,返回每个频道中匹配的视频,含标题、播放量、时长、上传时间和摘要。

POST/v1/youtube/searchInChannel

$0.003每条

1,000 条
≈ $3.00
每页(3 条)最低
$0.0025

可用试用额度能用 cursor 翻页

在控制台里试

差在哪

这个平台上还有 1 个接口卖的数据和它差不多。目录里写的差别:

接口每条每页最低每页条数能用 cursor 翻页参数字段数
/v1/youtube/searchInChannel$0.003$0.00253是channels, keyword18
/v1/youtube/search$0.003$0.00223210是keyword, uploadedWithin18

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/youtube/searchInChannel" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"channels":["@mkbhd"],"keyword":"iphone"}'

返回什么

这是 2026-11-21 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-21
{
  "data": [
    {
      "type": "video",
      "videoId": "Od6M0AXpcxQ",
      "url": "https://www.youtube.com/watch?v=Od6M0…",
      "channelAvatar": null,
      "channelHandle": null,
      "channelUrl": null,
      "channelVerified": null,
      "channelBio": null,
      "title": "iPhone 18 Pro/Duo Impressions: Mogged",
      "description": "The first folding iPhone Duo and iPho…",
      "searchTotal": null,
      "channelName": "Marques Brownlee",
      "channelId": "UCBJycsmduvYEL83R_U4JriQ",
      "viewCount": 28324818,
      "duration": "17:14",
      "publishedTimeText": "2 months ago",
      "isLive": false,
      "thumbnailUrl": "https://i.ytimg.com/vi/Od6M0AXpcxQ/hq…"
    },
    {
      "type": "video",
      "videoId": "ohqxP8EEumo",
      "url": "https://www.youtube.com/watch?v=ohqxP…",
      "channelAvatar": null,
      "channelHandle": null,
      "channelUrl": null,
      "channelVerified": null,
      "channelBio": null,
      "title": "iPhone 18 Pro Review: All About that …",
      "description": "iPhone 18 Pro is basically an S year …",
      "searchTotal": null,
      "channelName": "Marques Brownlee",
      "channelId": "UCBJycsmduvYEL83R_U4JriQ",
      "viewCount": 12488268,
      "duration": "16:36",
      "publishedTimeText": "2 months ago",
      "isLive": false,
      "thumbnailUrl": "https://i.ytimg.com/vi/ohqxP8EEumo/hq…"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.006000",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 18

字段类型示例值
typestringvideo
videoIdstringOd6M0AXpcxQ
urlstringhttps://www.youtube.com/watch?v=Od6M0AXpcxQ
channelAvatarnullnull
channelHandlenullnull
channelUrlnullnull
channelVerifiednullnull
channelBionullnull
titlestringiPhone 18 Pro/Duo Impressions: Mogged
descriptionstringThe first folding iPhone Duo and iPhone 18 Pro are here, and…
searchTotalnullnull
channelNamestringMarques Brownlee
channelIdstringUCBJycsmduvYEL83R_U4JriQ
viewCountnumber28324818
durationstring17:14
publishedTimeTextstring2 months ago
isLivebooleanfalse
thumbnailUrlstringhttps://i.ytimg.com/vi/Od6M0AXpcxQ/hqdefault.jpg?sqp=-oaymwE…

参数 3

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
channelsarray是频道链接(https://www.youtube.com/@mkbhd)、@handle 或频道 ID(UC...)。["@mkbhd"]
keywordstring是搜索关键词。Shorts、视频和频道搜索在为空时使用 "python";频道内搜索必须提供关键词。iphone

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"channels":["@mkbhd"],"keyword":"iphone"};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/youtube/searchInChannel", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 3 条,每页最低收费 $0.0025;要 100 条的请求会取 34 页。

  • 1 条:最多 $0.003
  • 20 条:最多 $0.06
  • 100 条:最多 $0.30

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「频道内搜索」要传哪些参数?

必填:channels、keyword。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 3 条,要 100 条时一次请求取 34 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.003。每页最低收费 $0.0025:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.30。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。